[Overview][Types][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TCustomIniFile.BoolTrueStrings

Strings to recognize as boolean True values.

## Declaration

Source position: inifiles.pp line 208

`public property TCustomIniFile.BoolTrueStrings : TStringArray read FBoolTrueStrings write FBoolTrueStrings;`

## Description

BoolTrueStrings is a list of strings that will be recognized as boolean True value in TCustomIniFile.ReadBool The first string in the list will be used when writing a True boolean value in TCustomIniFile.WriteBool.

The string values are ignored if ifoWriteStringBoolean is not in the ini file options.

## See also

TCustomIniFile.SetBoolStringValues |  | Set the boolean string values to use when writing to file
TCustomIniFile.BoolFalseStrings |  | Strings to recognize as boolean False values.
TCustomIniFile.ReadBool |  |
TCustomIniFile.WriteBool |  | Write boolean value
TCustomIniFile.Options |  | Options currently in effect